summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Larry Hajali <larryhaja@gmail.com>2014-07-06 07:52:29 +0700
committer Robby Workman <rworkman@slackbuilds.org>2014-07-07 00:00:40 -0500
commitd9f6ae09dd569faa2fe46b564496c4dfb49493be (patch)
treeb6b878e89dbf8051f04104ce988f57f54604bee2 /libraries
parent7d98345b27d650bfae82e98d55f8ffca5adb7b80 (diff)
downloadslackbuilds-d9f6ae09dd569faa2fe46b564496c4dfb49493be.tar.gz
slackbuilds-d9f6ae09dd569faa2fe46b564496c4dfb49493be.tar.xz
libraries/libgit2: Added (C library for custom Git applications).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libgit2/README5
-rw-r--r--libraries/libgit2/libgit2.SlackBuild97
-rw-r--r--libraries/libgit2/libgit2.info10
-rw-r--r--libraries/libgit2/slack-desc19
4 files changed, 131 insertions, 0 deletions
diff --git a/libraries/libgit2/README b/libraries/libgit2/README
new file mode 100644
index 0000000000..dad04a2452
--- /dev/null
+++ b/libraries/libgit2/README
@@ -0,0 +1,5 @@
+libgit2 is a portable, pure C implementation of the Git core methods provided as
+a re-entrant linkable library with a solid API, allowing you to write native
+speed custom Git applications in any language which supports C bindings.
+
+Optional: libssh2 (for ssh transport)
diff --git a/libraries/libgit2/libgit2.SlackBuild b/libraries/libgit2/libgit2.SlackBuild
new file mode 100644
index 0000000000..19f98b03c6
--- /dev/null
+++ b/libraries/libgit2/libgit2.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Slackware build script for libgit2
+
+# Copyright 2014 Larry Hajali <larryhaja[at]gmail[dot]com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libgit2
+VERSION=${VERSION:-0.21.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || tar xvf $CWD/v${VERSION}.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir build
+cd build
+ cmake -G "Unix Makefiles" \
+ -DCMAKE_INSTALL_PREFIX:PATH="/usr" \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DTHREADSAFE:BOOL=ON \
+ -DLIB_INSTALL_DIR:PATH="lib${LIBDIRSUFFIX}" \
+ -DCMAKE_BUILD_TYPE=Release ..
+
+ make VERBOSE=1
+ make install DESTDIR=$PKG
+cd -
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS *md COPYING docs/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libgit2/libgit2.info b/libraries/libgit2/libgit2.info
new file mode 100644
index 0000000000..8c6ba29a60
--- /dev/null
+++ b/libraries/libgit2/libgit2.info
@@ -0,0 +1,10 @@
+PRGNAM="libgit2"
+VERSION="0.21.0"
+HOMEPAGE="https://libgit2.github.com/"
+DOWNLOAD="https://github.com/libgit2/libgit2/archive/v0.21.0.tar.gz"
+MD5SUM="06b598bf21b0536dcbf454dc63af2313"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Larry Hajali"
+EMAIL="larryhaja[at]gmail[dot]com"
diff --git a/libraries/libgit2/slack-desc b/libraries/libgit2/slack-desc
new file mode 100644
index 0000000000..ef9b51a026
--- /dev/null
+++ b/libraries/libgit2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libgit2: libgit2 (C library for custom Git applications)
+libgit2:
+libgit2: libgit2 is a portable, pure C implementation of the Git core methods
+libgit2: provided as a re-entrant linkable library with a solid API, allowing
+libgit2: you to write native speed custom Git applications in any language
+libgit2: which supports C bindings.
+libgit2:
+libgit2: Homepage: https://libgit2.github.com/
+libgit2:
+libgit2:
+libgit2: